.carre {
    animation-name: translate, colors, forms;
    animation-duration: 5s, 5s, 5s;
    animation-iteration-count: infinite;
    
}

@keyframes translate {
    0%, 100% {
        margin-top: 0;
        margin-left: 0;
    }
    25% {
        margin-top: 0;
        margin-left: 50%;
    }
    50% {
        margin-top: 30%;
        margin-left: 0;
    }
    75% {
        margin-left: 20%;
        margin-top: 10%;
    }
}
@keyframes colors {
    0%, 100% {
        background-color: black;
    }
    25% {
        background-color: green;
    }
    50% {
        background-color: red;
    }
    75% {
        background-color: purple;
    }
}
@keyframes forms {
    0%, 100% {
        width: 50px;
        height: 50px;
    }
    25% {
        width: 50px;
        height: 50px;
        border-radius: 100px;
    }
    50% {
        width: 50px;
        height: 100px;
        border-radius: 0;
    }
    75% {
        width: 350px;
        height: 350px;

    }
}



    
    /* Ou en une seule animation :

    @keyframes anime {
    0%, 100% {
        width: 50px;
        height: 50px;
        background-color: black;
        margin-top: 0;
        margin-left: 0;
    }
    25% {
        width: 50px;
        height: 50px;
        border-radius: 100px;
        background-color: green;
        margin-top: 0;
        margin-left: 50%;
    }
    50% {
        width: 50px;
        height: 100px;
        border-radius: 0;
        background-color: red;
        margin-top: 30%;
        margin-left: 0;
    }
    75% {
        width: 350px;
        height: 350px;
        background-color: purple;
        margin-left: 20%;
        margin-top: 10%;
    }
}*/